## havp 0.76

=== Makefile ===
all: 	havp
	cd havp && $(MAKE)

clean:
	cd havp && $(MAKE) clean

.PHONY:	havp/havp
install: havp/havp
	cd havp && $(MAKE) install

## havp 0.92a

=== debian/changelog ===
havp (0.92a-3) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * convert package to git-dpm and drop dpatch (Closes: #664346).
  * Do not ship /var/run/havp, patch by Thomas Goirand (Closes: #689892).
  * purge /var/run/havp und removal (Closes: #689778).
  * remove the -x flag from .html files in the debian folder where the package
    got intalled to actually fix lintian executable-not-elf-or-script.
  * redo the rules with minimal debhelper 8

  [ Andreas Cadhalpun ]
  * Use 'set -e' in maintainer scripts.
  * Add homepage to debian/control.
  * Add CPPFLAGS to CFLAGS, because CPPFLAGS are not respected by havp's
    build system.
  * Call 'modprobe loop' in the init script before trying to mount a loop
    device. This is necessary for newer kernels.
  * Remove all logs in /var/log/havp, the contents of /var/lib/havp and
    /etc/default/havp on purge (Closes: #666016).
  * Fix restart action of init script. (Closes: #628612)
    Thanks to Laurent Baysse for the bug report and patch.

  [ Scott Kitterman ]
  * Agreed maintainer change to pkg-clamav team, added myself, Sebastian
    Andrzej Siewior, and Andreas Cadhalpun as uploaders along with Rene
    Mayrhofer (the previous maintainer)
  * Fix PID file naming for reload statement in havp.init, partially addresses
    #524045
  * Add lsb-base (>= 3.2-13) to depends
  * Use lsb common functions to simplify status case in havp.init
  * Added remote_fs to Required-start and Required stop in havp.init
  * Add run level 1 to default stop in havp.init
  * Bump stanards version to 3.9.5 
  * Add SSLTIMEOUT to etc/havp/havp.config.in (Closes: #628613)
  * Set default clamd socket value to the correct location for Debian
   (Closes: #628615)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Aug 2014 01:12:27 -0400

havp (0.92a-2) unstable; urgency=low

  * Include debconf language updates from previous NMU and new updates.
    Closes: #624730: havp: [INTL:ja] please add Japanese po-debconf template 
                     translation (ja.po)
    Closes: #625232: [INTL:es] Spanish debconf template translation for havp
    Acknowledge NMU bug reports:
     - Spanish (Camaleón).  Closes: #584442
     - Danish (Joe Hansen).  Closes: #599824
     - Italian (Vincenzo Campanella).  Closes: #600437
  * The previous fix for havp.init with "umount -l" should make it unnecessary
    to wait for unmount on havp stop.
    Closes: #558370: havp fails to (re)start because of mounted /var/spool/havp
  * Fix restart in havp.init by implementing it as stop and start.
    Closes: #612919: havp: /etc/init.d/havp restart fails
  * Acknowledge previous NMU
    Closes: #557109: havp: FTBFS on GNU/kFreeBSD: missing flag
    Closes: #558052: Japanese po-debconf template translation
  * Compiled against newest libclamav6 (0.97).
    Closes: #578036: Does not work anymore, linked against libclamav5 (0.94)

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Thu, 19 May 2011 12:25:29 +0000

havp (0.92a-1) unstable; urgency=low

  * New upstream release.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Wed, 06 Apr 2011 17:42:05 +0000

havp (0.91-2) unstable; urgency=low

  * Apply fixes from Ubuntu:
    - debian/havp.{init,postrm}: Under certain circumstances,
      the init script and/or postrm script will fail to umount
      loop-back devices. This issue has been addressed by performing
      a lazy umount in these two scripts.
     - debian/havp.init: Fixes "Fails to restart because of mounted
       '/var/spool/havp'"
  * Finally add patch by Heiko Schlittermann to enable an SSLTIMEOUT option in
    havp.config that allows increasing the (otherwise hardcoded) connection 
    time limit.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Wed, 06 Apr 2011 16:57:41 +0200

havp (0.91-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD (Closes: #557109): pass --disable-locking
    when DEB_HOST_ARCH_OS equals kfreebsd.
  * Include Japanese po-debconf template translation, thanks to Hideki
    Yamane (Closes: #558052).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Dec 2009 10:57:16 +0100

havp (0.91-1) unstable; urgency=low

  * New upstream release. This should fix a potential DNS lookup segfault.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Thu, 20 Aug 2009 22:38:52 +0200

havp (0.90-2) unstable; urgency=low

  * Change default configuration to let havp listen only on localhost so
    as not to create an open relay. The config file now has
    BIND_ADDRESS 127.0.0.1 by default.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Fri, 15 May 2009 10:53:21 +0200

havp (0.90-1) unstable; urgency=low

  * New upstream release.
  * Recompiled for libclamav translation.
  * Bump to standards version 3.8.1, no changes.

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Tue, 31 Mar 2009 13:02:22 +0000

havp (0.89-2) unstable; urgency=low

  * Create /var/run/havp if it doesn't exist when running init script so
    that it can be used when /var/run is on tmpfs.
    Closes: #502048: havp: Havp init fails after reboot if /var/run is tempfs

 -- Rene Mayrhofer <rene.mayrhofer@gibraltar.at>  Mon, 22 Dec 2008 18:07:52 +0100

havp (0.89-1) unstable; urgency=high

  Justification for urgency high: compiles with new libclamav-dev and
  therefore fixes FTBFS for Lenny,
  * New upstream release. This includes the fix for the potential DoS
    issue. Therefore, remove 
    debian/patches/05_bts496034_CVE-2008-3688_fix_infinite_retry.dpatch.
    The new upstream version has another small bugfix (sending Via:
    header) but no additional changes and is therefore safe for Lenny.
    Closes: #496034: CVE-2008-3688: DoS by infinite loop
    Closes: #498338: havp depends on old clamav. This clamav version is 
                     vulnerable.
  * Acknowledge NMU:
    Closes: #492235: havp: does not delete temp files
    Closes: #492236: havp: can't install if port 8080 in use


=== debian/control ===
Source: havp
Section: net
Priority: optional
Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>,
           Sebastian Andrzej Siewior <sebastian@breakpoint.cc>,
           Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
           Rene Mayrhofer <rene.mayrhofer@gibraltar.at>
Homepage: http://www.server-side.de/
Build-Depends: debhelper (>= 9), autotools-dev, libssl-dev, libclamav-dev, docbook-to-man, po-debconf
Vcs-Git: git://anonscm.debian.org/pkg-clamav/havp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-clamav/havp.git;a=summary
Standards-Version: 3.9.5

Package: havp
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-13)
Recommends: clamav-freshclam
Suggests: squid
Description: HTTP Anti Virus Proxy
 HAVP (HTTP Antivirus Proxy) is a proxy with a ClamAV anti-virus scanner. The
 main aims are continuous, non-blocking downloads and smooth scanning of
 dynamic and password protected HTTP traffic. Havp antivirus proxy has a
 parent and transparent proxy mode. It can be used with squid or standalone.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Get the hardening build flags and enable all compiler warnings:
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) -Wall
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -Wall
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

CONFIG := CFLAGS="$(CFLAGS) $(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	--enable-ssl-tunnel

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	CONFIG += --disable-locking
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG)

override_dh_auto_build-arch:
	dh_auto_build -a
	docbook-to-man debian/havp.sgml > havp.1

override_dh_auto_clean:
	debconf-updatepo
	po2debconf debian/havp.templates.master > debian/havp.templates
	dh_auto_clean

override_dh_install:
	dh_install -a

	# clean up to make lintian shut up...
	rm -r $(CURDIR)/debian/havp/var/tmp $(CURDIR)/debian/havp/var/run
	chmod -x $(CURDIR)/debian/havp/etc/havp/templates/*/*.html

override_dh_installinit:
	dh_installinit --error-handler=init_error

override_dh_installman:
	dh_installman havp.1

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=3

http://www.server-side.de/download.htm download/havp-([\d\.]*)\.tar\.gz

## havp 0.93

=== debian/changelog ===
havp (0.93-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:35 +0100

havp (0.93-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump standards version to 4.3.0 (no changes made).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 28 Feb 2019 23:25:25 +0100

havp (0.93-1) experimental; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * Add support for clamav 0.101 (Closes: #920865).

  [ Scott Kitterman ]
  * New upstream release
  * Set minimum libclamav version to ensure it builds against the
    version in experimental

 -- Scott Kitterman <scott@kitterman.com>  Mon, 04 Feb 2019 11:35:28 -0500

havp (0.92a-6) unstable; urgency=medium

  * Add e2fsprogs to Depends (it may be needed by the postinst script)
   (Closes: #887273).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 23 Jun 2018 21:32:09 +0200

havp (0.92a-5) unstable; urgency=medium

  * Set Homepage to http://www.havp.org/, update watchfile.
  * Update compat level to 11.
  * Move VCS* to salsa.
  * Bump standards version to 4.1.4.
    - Use "invoke-rc.d havp" instead /etc/init.d/havp
  * Enable hardening.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 21 Jun 2018 21:57:44 +0200

havp (0.92a-4) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Switch VCS-Browser to the cgit interface.
  * Remove the obsolete havp.templates and rename havp.templates.master to
    havp.templates.
    This fixes the untranslatable-debconf-templates lintian errors.
  * Run debconf-updatepo.
  * Update debian/copyright to copyright-format 1.0.
  * Fix debian/watch to recognise the current version 0.92a.
  * Drop version constraint satisfied in oldoldstable from lsb-base dependency.
  * Drop obsolete files (NEWS.Debian and svn-deblayout).

  [ Sebastian Andrzej Siewior ]
  * Create ext2 fs on installation, patch by Laurent Baysse (Closes: #628611).
  * Reopen log-files on SIGHUP (Closes: #524045).
  * Update USE_LOOPBACK in /etc/default/havp after "dpkg-reconfigure havp" set
    the debconf value to true _and_ false. Reading the debconf value from the
    init script breaks systemd so we keep the copy (Closes: #418415).
  * Drop Via: header if X_FORWARDED_FOR is disabled (Closes: #606631).
  * Update link for transparent proxy mini howto (Closes: #589129).
  * Bump standards version to 3.9.6, no changes required.
  * Enable LFS. This requires autoreconf and default.h split.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 01 Aug 2015 08:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
            Sebastian Andrzej Siewior <sebastian@breakpoint.cc>,
            Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>,
            Rene Mayrhofer <rene.mayrhofer@gibraltar.at>
-Homepage: http://www.server-side.de/
-Build-Depends: debhelper (>= 9), autotools-dev, libssl-dev, libclamav-dev, docbook-to-man, po-debconf
-Vcs-Git: git://anonscm.debian.org/pkg-clamav/havp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-clamav/havp.git;a=summary
-Standards-Version: 3.9.5
+Homepage: http://www.havp.org/
+Build-Depends: debhelper (>= 11), libssl-dev, libclamav-dev (>= 0.101.1), docbook-to-man, po-debconf
+Vcs-Git: https://salsa.debian.org/clamav-team/havp.git -b unstable
+Vcs-Browser: https://salsa.debian.org/clamav-team/havp
+Standards-Version: 4.3.0
 
 Package: havp
 Architecture: any
 Pre-Depends: debconf | debconf-2.0
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.2-13)
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base, e2fsprogs
 Recommends: clamav-freshclam
 Suggests: squid
 Description: HTTP Anti Virus Proxy

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -22,7 +23,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIG)
@@ -33,7 +34,6 @@
 
 override_dh_auto_clean:
 	debconf-updatepo
-	po2debconf debian/havp.templates.master > debian/havp.templates
 	dh_auto_clean
 
 override_dh_install:
